edu.wisc.cae.caeauth.internal.model

## Class CaeapiKeystoreT

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.CaeapiKeystoreT

    public class CaeapiKeystoreT
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CaeapiKeystoreT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCertchain()`
`String` `getKeyname()`
`String` `getPrivatekey()`
`int` `getVersion()`
`void` `setCertchain(String certchain)`
`void` `setKeyname(String keyname)`
`void` `setPrivatekey(String privatekey)`
`void` `setVersion(int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaeapiKeystoreT

    public CaeapiKeystoreT()

### Method Detail

#### getKeyname

    public String getKeyname()

#### setKeyname

    public void setKeyname(String keyname)

#### getVersion

    public int getVersion()

#### setVersion

    public void setVersion(int version)

#### getPrivatekey

    public String getPrivatekey()

#### setPrivatekey

    public void setPrivatekey(String privatekey)

#### getCertchain

    public String getCertchain()

#### setCertchain

    public void setCertchain(String certchain)